> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.galleon8.com/api-reference/node-api/solana/quickstart/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.galleon8.com/_mcp/server. # Solana Quickstart > Query Solana Node API endpoints with JSON-RPC. The **Solana API** lets applications connect to a Solana node that is part of the Solana blockchain. Developers can interact with onchain data using the endpoints provided by the API. ## Networks * Mainnet (`HTTPS` and `WSS`) ## API Querying ### Request example Use `getBlockHeight` to request the latest Solana block height from the Solana HTTPS endpoint: ```bash curl https://rpc.ankr.com/solana/ \ -H "Content-Type: application/json" \ -d '{ "jsonrpc": "2.0", "method": "getBlockHeight", "params": [], "id": 1 }' ``` ### Response example A successful response returns the latest block height as an integer: ```json { "jsonrpc": "2.0", "id": 1, "result": 342093147 } ``` > Query Solana Node API endpoints with JSON-RPC.